Package: org.codehaus.groovy.ast

## [Java] Class DynamicVariable

- org.codehaus.groovy.ast.DynamicVariable

- All Implemented Interfaces and Traits:
    Variable

      public class DynamicVariable
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DynamicVariable (String name, boolean context)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Expression` | `getInitialExpression()`
    `int` | `getModifiers()`
    `String` | `getName()`
    `ClassNode` | `getOriginType()`
    `ClassNode` | `getType()`
    `boolean` | `hasInitialExpression()`
    `boolean` | `isClosureSharedVariable()`
    `boolean` | `isDynamicTyped()`
    `boolean` | `isInStaticContext()`
    `void` | `setClosureSharedVariable(boolean inClosure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DynamicVariable(String name, boolean context)

  - ### Method Detail

    - #### public Expression getInitialExpression()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public ClassNode getOriginType()

    - #### public ClassNode getType()

    - #### public boolean hasInitialExpression()

    - #### public boolean isClosureSharedVariable()

    - #### public boolean isDynamicTyped()

    - #### public boolean isInStaticContext()

    - #### public void setClosureSharedVariable(boolean inClosure)